Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.editor
Interface IdeEditorSelectionType

public interface IdeEditorSelectionType

Defines constants for using in `IdeEditor.getSelection` method.

Author:
  TogetherSoft
See Also: IdeEditor.getSelection(java.lang.String)

Field Summary
`final static String` | `FIND` Find selection - the selection made by "find" methods.
`final static String` | `NAVIGATION` Navigation selection - this selection made by navigation to class delcaration & members from diagram.
`final static String` | `PRIMARY` Primary selection - the selection made by the user (using mouse, selection keys etc).
`final static String` | `USER` User selection - this kind of selection is reserved for the user's selection needs.

Field Detail

### FIND

    public final static String FIND

  Find selection - the selection made by "find" methods.

### NAVIGATION

    public final static String NAVIGATION

  Navigation selection - this selection made by navigation to class delcaration & members from diagram.

### PRIMARY

    public final static String PRIMARY

  Primary selection - the selection made by the user (using mouse, selection keys etc).

### USER

    public final static String USER

  User selection - this kind of selection is reserved for the user's selection needs.

Association Links

to Class java.lang.String

  Primary selection - the selection made by the user (using mouse, selection keys etc).

to Class java.lang.String

  Find selection - the selection made by "find" methods.

to Class java.lang.String

  Navigation selection - this selection made by navigation to class delcaration & members from diagram.

to Class java.lang.String

  User selection - this kind of selection is reserved for the user's selection needs.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD